Package org.springframework.security.config.method

# Class InterceptMethodsBeanDefinitionDecorator

java.lang.Object
org.springframework.security.config.method.InterceptMethodsBeanDefinitionDecorator

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionDecorator`

public class InterceptMethodsBeanDefinitionDecorator extends Object implements org.springframework.beans.factory.xml.BeanDefinitionDecorator

## Constructor Summary

Constructors
Constructor
Description
`InterceptMethodsBeanDefinitionDecorator()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinitionHolder`
`decorate(Node node, org.springframework.beans.factory.config.BeanDefinitionHolder definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptMethodsBeanDefinitionDecorator

public InterceptMethodsBeanDefinitionDecorator()

## Method Details

### decorate

public org.springframework.beans.factory.config.BeanDefinitionHolder decorate(Node node, org.springframework.beans.factory.config.BeanDefinitionHolder definition, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `decorate` in interface `org.springframework.beans.factory.xml.BeanDefinitionDecorator`